/**************************************************************************************************
 * t@C@: JPKIP11LoginExtend.h
 * @\Tv@@: PKCS#11 gAPI JPKIGetRemain API`
 *  Copyright (C) 2021
 *  Japan Agency for Local Authority Information Systems All Rights Reserved.
 **************************************************************************************************/
#ifndef __JPKIP11LOGINEXTEND_H__
#define __JPKIP11LOGINEXTEND_H__

#ifdef __cplusplus
  extern "C"
  {
#endif

#include <cryptoki.h>

#define JPKI_GETREMAIN_LOCKED			0;
#define JPKI_GETREMAIN_MIN				1;
#define JPKI_GETREMAIN_MAX				15;
#define JPKI_GETREMAIN_UNLIMITED		16;
#define JPKI_GETREMAIN_DEVICE_REMOVED	-1;
#define JPKI_GETREMAIN_NG				-2;

CK_DEFINE_FUNCTION(CK_LONG, JPKIGetRemain)
(
	CK_SESSION_HANDLE hSession,
    CK_USER_TYPE userType
);

#ifdef __cplusplus
  }
#endif

#endif	/* __JPKIP11LOGINEXTEND_H__ */
